#
# RPM spec file
# For build VAP1
Summary: IBM Mapping Layer Software for OSA IPMI driver on Linux version 1.04
Name: ibmsp6a
Version: 1.04
Release: 2
Copyright: IBM
Group: IBM
URL: http://www.ibm.com
Distribution: All
Vendor: IBM
Packager: heimsoth@us.ibm.com
Source: ibmsp6a-src.tgz
Source2: README.TXT
Requires: gcc osa_ipmi
Autoreq: 0
Conflicts: ibmasm
ExclusiveArch: i386 i586 x86_64

%description
IBM Mapping Layer Software for OSA IPMI driver on Linux version 1.04

%prep
%setup -n ibmsp6a-src
cp $RPM_SOURCE_DIR/README.TXT .

%build
#rm -rf /usr/local/ibmsp6
#mkdir -p /usr/local/ibmsp6
#cd linux
#cp -f README.TXT /usr/local/ibmsp6/README.TXT
cd src
rm -f sp6api.o
rm -f libibmsp6.so
%ifarch x86_64
gcc -m32 -fPIC -Wall -g -c -D__IBMLINUX__ -I. sp6api.c
gcc -m32 -g -shared -Wl,-soname,libibmsp6.so.32.1 -L./ -lraw -o libibmsp6.so.32.1 sp6api.o -lc;
gcc -fPIC -Wall -g -c -D__IBMLINUX__ -I. sp6api.c
gcc -g -shared -Wl,-soname,libibmsp6.so.64.1 -L./ -lraw -o libibmsp6.so.64.1 sp6api.o -lc;
%endif
%ifarch i586
gcc -fPIC -Wall -g -c -D__IBMLINUX__ -I. sp6api.c
gcc -g -shared -Wl,-soname,libibmsp6.so.32.1 -L./ -lraw -o libibmsp6.so.32.1 sp6api.o -lc;
%endif
%ifarch i386
gcc -fPIC -Wall -g -c -D__IBMLINUX__ -I. sp6api.c
gcc -g -shared -Wl,-soname,libibmsp6.so.32.1 -L./ -lraw -o libibmsp6.so.32.1 sp6api.o -lc;
%endif

%install
#install -m 700 ibmsp6a-src.tgz /usr/local/ibmsp6
install -m755 src/libibmsp6.so.32.1 /lib
%ifarch x86_64
install -m755 src/libibmsp6.so.64.1 /lib64
%endif

%files
#/usr/local/ibmsp6/ibmsp6a-src.tgz
%doc README.TXT

/lib/libibmsp6.so.32.1 
%ifarch x86_64
/lib64/libibmsp6.so.64.1 
%endif

%post
ln -sf /lib/libibmsp6.so.32.1 /lib/libibmsp6.so
%ifarch x86_64
ln -sf /lib64/libibmsp6.so.64.1 /lib64/libibmsp6.so
%endif
/sbin/ldconfig

%preun

%postun
rm -rf /lib/libibmsp6*
%ifarch x86_64
rm -rf /lib64/libibmsp6*
%endif
